org.richfaces.application.push

## Enum TopicMode

- java.lang.Object
- - java.lang.Enum<TopicMode>
  - - org.richfaces.application.push.TopicMode

- All Implemented Interfaces:
    Serializable, Comparable<TopicMode>

      public enum TopicMode
      extends Enum<TopicMode>

  Author:
    Nick Belaevski

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `flash`
    `persistent`
    `persistentLast`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TopicMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TopicMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### flash

          public static final TopicMode flash

    - #### persistent

          public static final TopicMode persistent

    - #### persistentLast

          public static final TopicMode persistentLast

  - ### Method Detail

    - #### values

          public static TopicMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TopicMode c : TopicMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TopicMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.